Subject: Re: [PATCH] wireless: prefix header search paths with $(srctree)/

From: Kalle Valo <[email-masked]>
Date: Fri, 1 Feb 2019 12:43:25 +0000 (UTC)

Masahiro Yamada <[email-masked]> wrote:

> Currently, the Kbuild core manipulates header search paths in a crazy
> way [1].
> 
> To fix this mess, I want all Makefiles to add explicit $(srctree)/ to
> the search paths in the srctree. Some Makefiles are already written in
> that way, but not all. The goal of this work is to make the notation
> consistent, and finally get rid of the gross hacks.
> 
> Having whitespaces after -I does not matter since commit 48f6e3cf5bc6
> ("kbuild: do not drop -I without parameter").
> 
> I also removed one header search path in:
> 
>   drivers/net/wireless/broadcom/brcm80211/brcmutil/Makefile
> 
> I was able to compile without it.
> 
> [1]: https://patchwork.kernel.org/patch/9632347/
> 
> Signed-off-by: Masahiro Yamada <[email-masked]>
> Acked-by: Luca Coelho <[email-masked]>

Patch applied to wireless-drivers-next.git, thanks.

030b43671ae8 wireless: prefix header search paths with $(srctree)/

-- 
https://patchwork.kernel.org/patch/10781533/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches